Subject: bug#360: whitespace.el: auto-cleanup on kill prevents killing read-only buffers

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Jun 2008 00:26:11 -0400

>> I have whitespace-global-mode on and have it set to auto-cleanup on
>> kill. This stops read-only buffers from being killed, as auto-cleanup
>> tries to clean them up, gets an error, and aborts the kill.
>> 
>> The old whitespace mode used to check to see if it was being called in
>> a read-only buffer, and didn't try to clean up under those circumstances.
>> 
>> I'm using Emacs 23.0.60.1, but as far as I can tell the problem still
>> exists in CVS head.

> This problem can be fixed by wrapping the body of whitespace-clean in
> (unless buffer-read-only). I don't know if that fix has problems, but it at
> least works for me.

That would probably fix the problem, but now I wonder: why on earth
would someone worry about whitespace when killing a buffer?
Why would you want to strip whitespace just microseconds before throwing
away this piece of data anyway?

        Stefan